Skip to content

Liên kết sản phẩm

Giới thiệu

Lấy các liên kết quảng bá sản phẩm bằng product_id.

Endpoint

bash
POST /product/v1/creatorList

Phần thân yêu cầu

TrườngKiểuBắt buộcMô tả
filterobjectTham số lọc
pageintegerKhôngSố trang, mặc định: 1
pagesizeintegerKhôngSố mục mỗi trang, mặc định: 10

tùy chọn filter

TrườngKiểuBắt buộcMô tả
product_idstringID sản phẩm

Ví dụ yêu cầu

bash
curl 'https://openapi.fastmoss.com/product/v1/creatorList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "product_id": "1734037502413342614",
    },
    "orderby": {
        "field": "units_sold",
        "order": "desc"
    },
    # "orderby": {
    #     "field": "gmv",
    #     "order": "desc"
    # },
    # "orderby": {
    #     "field": "follower_count",
    #     "order": "desc"
    # },
    # "orderby": {
    #     "field": "digg_count",
    #     "order": "desc"
    # },
    "page": 1,
    "pagesize": 10
}'

Phần thân phản hồi

data.total

Tổng số kết quả

data.list

TrườngKiểuMô tả
uidstringUID nhà sáng tạo
unique_idstringID duy nhất nhà sáng tạo
nicknamestringBiệt danh nhà sáng tạo
avatarstringURL ảnh đại diện nhà sáng tạo
units_soldintegerDoanh số của nhà sáng tạo
gmvfloatGMV của nhà sáng tạo
category_idintegerID danh mục nhà sáng tạo
category_namestringTên danh mục nhà sáng tạo
follower_countintegerSố người theo dõi của nhà sáng tạo
aweme_countintegerSố video của nhà sáng tạo
favoriting_countintegerSố lượt yêu thích của nhà sáng tạo
regionstringKhu vực của nhà sáng tạo

Ví dụ phản hồi

json
{
  "code": 0,
  "msg": "success",
  "data": {
    "total": 8,
    "list": [
      {
        "uid": "6893103660525831169",
        "units_sold": 1354,
        "gmv": 22034.60,
        "unique_id": "twobakeboys",
        "nickname": "Twobakeboys",
        "avatar": "https://s.500fd.com/tt_author/935c7d720caecc448ed85fbcbac1218b~c5_300x300.jpeg",
        "category_id": 5, //creator's category_id
        "category_name": "Food & Beverage", //creator's category_name
        "category": [//deprecated
            "Food & Beverage"
        ],
        "follower_count": 22572,
        "aweme_count": 510,
        "favoriting_count": 480,
        "region": "SG" //creator's region
      }
     ]
 }
}